Package org.eclipse.net4j.util.om

## Class LegacyUtil

- java.lang.Object
- - org.eclipse.net4j.util.om.LegacyUtil

-     public final class LegacyUtil
      extends java.lang.Object

  Various static helper methods for dealing with `bundles` if OSGi `is not running`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String[]` | `getCommandLineArgs()` |
    `static void` | `setCommandLineArgs​(java.lang.String[] commandLineArgs)` |
    `static void` | `startBundles​(OMBundle[] bundles)` |
    `static void` | `stopBundles​(OMBundle[] bundles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCommandLineArgs

          public static java.lang.String[] getCommandLineArgs()
                                                       throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`
      Since:
        3.2

    - #### setCommandLineArgs

          public static void setCommandLineArgs​(java.lang.String[] commandLineArgs)

      Since:
        3.2

    - #### startBundles

          public static void startBundles​(OMBundle[] bundles)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stopBundles

          public static void stopBundles​(OMBundle[] bundles)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`